Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 96736 - I18N: RFE - localization for "JSF Pages from Entity Class" JSP pages
I18N: RFE - localization for "JSF Pages from Entity Class" JSP pages
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF
5.x
All All
: P4 (vote)
: TBD
Assigned To: _ potingwu
issues@javaee
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-28 04:09 UTC by Masaki Katakai
Modified: 2008-06-09 16:21 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2007-02-28 04:09:28 UTC
I18N: RFE - localization for "JSF Pages from Entity Class" JSP pages

It would be nice if we can localize JSP pages generated from
"JSF Pages from Entity Class", it will generate several JSP pages
with JSF and update index.jsp of web application project.
Currently it generates in just English and there is no usage of resource
bundle framework. It would be nice if these pages could use resource
bundle and we could localize just resource bundle for localization.

index.jsp
	List of ...

Detail.jsp
	Detail of ...
	Edit
	Show All ...
	Back to index

Edit.jsp
	Edit ...
	Save
	Show All ...
	Back to index

List.jsp
	Listing ...
	New ...
	Back to index
	Item ... of ...

New.jsp
	New ...
	Create
	Show All ...
	Back to index
Comment 1 _ potingwu 2008-01-09 21:52:56 UTC
Thanks for the info Ken described: (closed)

Ken Frank wrote:
> Po-Ting,
>
> I don't think this functionality (jsf pages from ent class)  is in netbeans anymore, so am guessing this
> can be closed ?
>
> if the functionality is coming back, I am not sure its needed since we do not normally
> translate actual code pages, even their comments, and we have not gotten feedback
> that it would be helpful.
>
> Thanks - Ken 
Comment 2 kaa 2008-06-09 16:21:58 UTC
checked in trunk build 0608 using pseudo localization, ja locale.
The functionality exists in the IDE. Jsp pages contain localized text labels.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo